Subject: Offline Message from Brandon Hostovich: Hello. I have an eb5pro+, giving it t
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Tue, 05 Apr 2022 01:58:47 -0000

From: Brandon Hostovich <[email-masked]>
Phone: 
Location: Warren, United States
URL: https://swagtron.com/product/swagtron-swagcycle-eb-5-lightweight-aluminum-folding-ebike/
Department: SwagTron

Hello. I have an eb5pro+, giving it to my girlfriend cuz i.got a new fat tire e bike... I see the rear hub 
& wheel would accept a trailer hitch... she's wanting to know if she could pull a little trailer to assist her getting groceries n such... technically she could but it's not very powerful,  would that strain the battery too much? She weighs about 125-130lbs. Thank you

----
Zopim
https://www.zopim.com